package rozdzial25c;

import javafx.application.Application;
import javafx.application.Platform;
import javafx.scene.Group;
import javafx.scene.Scene;
import javafx.scene.canvas.Canvas;
import javafx.scene.canvas.GraphicsContext;
import javafx.scene.paint.*;
import javafx.stage.Stage;

public class Listing25_40c extends Application {

    public static void main(String[] args) {
        Application.launch(args);
    }

    @Override
    public void start(Stage stage) {
        try {
            Group root = new Group();
            Canvas cv = new Canvas(300, 200);
            GraphicsContext gc = cv.getGraphicsContext2D();
            //-
            Stop[] stops ={new Stop(0, Color.WHITE), new Stop(1, Color.RED)};
            RadialGradient rg = new RadialGradient(-60,0.5,0.5,0.5,0.3,true, CycleMethod.NO_CYCLE, stops);
            gc.setFill(rg);
            gc.fillOval(50,50,200,100);
            //-
            root.getChildren().add(cv);
            Scene scene = new Scene(root);
            stage.setScene(scene);
            stage.setTitle("Atrybut 'fill paint'");
            stage.setOnCloseRequest(e -> Platform.exit());
            stage.show();

        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
